package schet

import (
	"errors"
)

type Квартал struct {
	номер int
	год   *Год
	доход float64
	ОПС   *ОПС_type
	УСН   *УСН_type
}

func NewКвартал(номер int, год *Год) *Квартал {
	k := &Квартал{
		номер: номер,
		год:   год,
	}
	k.создатьПлатежи()
	return k
}

func (k *Квартал) создатьПлатежи() error {
	k.ОПС = NewОПС_type(k)
	k.УСН = NewУСН_type(k)
	return nil
}

func (k *Квартал) Номер() int {
	return k.номер
}

func (k *Квартал) ДобавитьДоход(доход float64) error {
	k.доход += доход
	return nil
}
func (k *Квартал) Доход() float64 {
	return k.доход
}

func (k *Квартал) ПроцентСверх300тр() (float64, error) {
	сумма, err := k.год.Сверх300трвКвартале(k.номер)
	if err != nil {
		return 0, errors.Join(errors.New("Квартал"), errors.New("Сверх300тр"), err)
	}

	return процентСуммы(сумма), nil
}
